%define	oname OGRE

%define soname %{version}
%define libname %mklibname %{name} %{soname}
%define	develname %mklibname %{name} -d

Summary:	Object-Oriented Graphics Rendering Engine
Name:		ogre
Version:	13.4.3
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
URL:		https://www.ogre3d.org
Source0:	https://github.com/OGRECave/ogre/archive/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	freeimage-devel
BuildRequires:	libatomic-devel
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(OIS)
BuildRequires:	pkgconfig(tbb)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(zziplib)

#
Obsoletes:	ogre-samples

%description
OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented,
flexible 3D engine written in C++ designed to make it easier  and  more
intuitive for developers to produce games and demos utilising 3D hardware.
The class library abstracts all the details of using the underlying system
libraries like Direct3D and OpenGL and provides an interface based on world
objects and other intuitive classes.

%package -n %{libname}
Summary:	Libraries needed for programs using %{oname}
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Obsoletes: lib64ogre1.9.1
Obsoletes: lib64ogre
Provides: lib64ogre  = %{version}-%{release}

%description -n %{libname}
OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented,
flexible 3D engine written in C++ designed to make it easier  and  more
intuitive for developers to produce games and demos utilising 3D hardware.
The class library abstracts all the details of using the underlying system
libraries like Direct3D and OpenGL and provides an interface based on world
objects and other intuitive classes.

%package -n %{develname}
Summary:	Development headers and libraries for writing programs using %{oname}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}


%description -n %{develname}
Development headers and libraries for writing programs using %{oname}.

%prep
%setup -q
%apply_patches

%build
%cmake \
    -DOGRE_BUILD_DOCS=OFF \
    -DOGRE_BUILD_RENDERSYSTEM_GL=ON \
    -DOGRE_BUILD_RENDERSYSTEM_GL3PLUS=ON \
    -DOGRE_BUILD_RENDERSYSTEM_GLES2=ON \
    -DOGRE_BUILD_SAMPLES=OFF \
    -DOGRE_BUILD_TESTS=OFF \
    -DOGRE_BUILD_TOOLS=ON \
    -DOGRE_INSTALL_DOCS=OFF \
    -DOGRE_INSTALL_SAMPLES=OFF \
    -DOGRE_INSTALL_TOOLS=ON \
    -DOGRE_STATIC=OFF
%make_build

%install
%make_install -C build

%files
%{_bindir}
%{_datadir}
%{_prefix}/lib/python2.7

%files -n %{libname}
%{_libdir}/OGRE/*.so.*
%{_libdir}/*.so.*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{oname}*.pc
%{_libdir}/%{oname}/*.so
%{_libdir}/%{oname}/cmake
%{_includedir}

%changelog
* Sun Sep 18 2022 tex - 13.4.3-1pclos2022
- new version

* Sun Sep 26 2021 tex - 1.9.1-3pclos2021
- rebuild against updates

* Sun May 30 2021 tex - 1.9.1-2pclos2021
- rebuild against updates

* Sun Apr 21 2019 tex 1.9.1-1pclos2019
- Version 1.9.1
